#include "hmg.ch"

Function Main

*----------------------------------* 

  REQUEST HB_CODEPAGE_ESWIN     
  HB_SETCODEPAGE("ESWIN")    
 
  REQUEST HB_LANG_ES   
  HB_LANGSELECT("ES")  

*----------------------------------*
  SET CENTURY ON
  SET DATE FRENCH
  SET ESCAPE ON
  SET NAVIGATION EXTENDED
  SET LANGUAGE TO SPANISH 
  SET CODEPAGE TO SPANISH
  SET DELETED ON
  SET DATE FORMAT TO 'dd/mm/yyyy'
  SET BROWSESYNC ON
*-----------------------------------------------------------------*
    
   DEFINE WINDOW Form_1           ;
      AT 0,0                      ;
      WIDTH 800                   ;
      HEIGHT 600                  ;
      TITLE "Demo: GRID CheckBox" ;
      NOSIZE NOMAXIMIZE           ;
      MAIN

     @ 10,320 LABEL Label_1 Value "Select Products"  Width  440  Height 032     ; 
                    FONT "Arial" SIZE 17 BOLD ITALIC        

      bColor := { || if ( This.CellRowIndex/2 == int(This.CellRowIndex/2) , {128,128,128} , {192,192,192} ) }
      fColor := { || if ( This.CellRowIndex/2 == int(This.CellRowIndex/2) , BLUE , RED ) }

        SELECT 1
        USE STOCK

        @ 40,50 GRID Grid_1 ;
                WIDTH 700 ;
                HEIGHT 197 ;
                HEADERS  { 'Ref' , 'Producto','Tipo' ,  'Precio'  ,  'CBarras' } ;
                WIDTHS  {120, 150, 140, 140, 140} ;  
                ITEMS {{""}} ;
                VALUE 1;
                ROWSOURCE "STOCK" ;
                COLUMNFIELDS { 'STOCK->REF','STOCK->PRODUCTO','STOCK->TIPO','STOCK->PRECIO','STOCK->CBARRAS' } ;
                FONT 'Arial' ;
		SIZE 9 ;  
                JUSTIFY { BROWSE_JTFY_RIGHT , BROWSE_JTFY_LEFT , BROWSE_JTFY_LEFT  , BROWSE_JTFY_RIGHT , BROWSE_JTFY_LEFT  } ;
                DYNAMICFORECOLOR { fColor, fColor , fColor, fColor, fColor }  ;
                DYNAMICBACKCOLOR { bColor, bColor , bColor, bColor, bColor }  ;
                BACKCOLOR { 209,238,238 } ;
                FONTCOLOR { 000,255,020 } ;
                CELLNAVIGATION 

       Form_1.Grid_1.CheckBoxEnabled := .T.

     @ 255,320 LABEL Label_2 Value "Product Selection " Width  440  Height 032 ; 
                     FONT "Arial" SIZE 17 BOLD ITALIC 
             
        SELECT 2   
        USE STOCKP
        dbgobottom() 


        @ 295,050 GRID Grid_2 ;
	          WIDTH 700 ;
		  HEIGHT 175 ;
		  HEADERS { 'Ref','Producto','Tipo' ,'Precio','CBarras' } ;
		  WIDTHS  {120, 150, 140, 140, 140}     ;
                  ITEMS {{""}} ;
		  VALUE 1 ;  
		  ROWSOURCE "STOCKP" ;
		  COLUMNFIELDS { 'STOCKP->REF','STOCKP->PRODUCTO','STOCKP->TIPO','STOCKP->PRECIO','STOCKP->CBARRAS' } ;
		  FONT 'Arial' ;
		  SIZE 9 ;
		  JUSTIFY { BROWSE_JTFY_RIGHT , BROWSE_JTFY_LEFT , BROWSE_JTFY_LEFT  , BROWSE_JTFY_RIGHT , BROWSE_JTFY_LEFT  } ;
                  DYNAMICFORECOLOR { fColor, fColor , fColor, fColor, fColor }  ;
                  DYNAMICBACKCOLOR { bColor, bColor , bColor, bColor, bColor }  ;
                  BACKCOLOR { 209,238,238 } ;
                  FONTCOLOR { 000,255,020 } ;


      @ 510, 135 BUTTON Button_1  CAPTION "Cleaner" ACTION Limpia() 
      @ 510, 250 BUTTON Button_2  CAPTION "Delete Base" ACTION Deleter()
      @ 510, 365 BUTTON Button_3  CAPTION "Check List" ACTION GetListCheckBox()
      @ 510, 580 BUTTON Button_4  CAPTION "Exit" ACTION Form_1.Release

   END WINDOW

  Form_1.Grid_1.CheckBoxEnabled := .T.

   CENTER WINDOW Form_1
   ACTIVATE WINDOW Form_1

Return

*-----------------------------------------------*
PROCEDURE Limpia()
*-----------------------------------------------*
 Form_1.Grid_1.CheckBoxEnabled := .F.
 Form_1.Grid_1.CheckBoxEnabled := .T.

return

*-----------------------------------------------*
PROCEDURE Deleter()
*-----------------------------------------------*
SELECT 2
USE STOCKP
ZAP
Form_1.Grid_2.Refresh
Form_1.Grid_2.value := STOCKP->(Recno())
return


*-----------------------------------------------*
PROCEDURE GetListCheckBox()
*-----------------------------------------------*
PRIVATE i, cList := ""
PRIVATE cList1 , cList2, cList3 , cList4 , cList5
           
   IF Form_1.Grid_1.CheckBoxEnabled == .T.
      FOR i = 1 TO Form_1.Grid_1.ItemCount
         IF Form_1.Grid_1.CheckBoxItem ( i ) == .T.

            cList := cList + Form_1.Grid_1.CellEx (i, 1) +", "+ Form_1.Grid_1.CellEx (i, 2)+", "+ ;
                           + Form_1.Grid_1.CellEx (i, 3) +", "+ Form_1.Grid_1.CellEx (i, 4) +" "+ HB_OsNewLine()

            cList1 :=  Form_1.Grid_1.CellEx (i, 1) 
            cList2 :=  Form_1.Grid_1.CellEx (i, 2) 
            cList3 :=  Form_1.Grid_1.CellEx (i, 3) 
            cList4 :=  Form_1.Grid_1.CellEx (i, 4) 
            cList5 :=  Form_1.Grid_1.CellEx (i, 5) 

            USE STOCKP
            APPEND BLANK
            REPLACE REF      WITH VAL( cList1 )         
            REPLACE PRODUCTO WITH cList2
            REPLACE TIPO     WITH cList3         
            REPLACE PRECIO   WITH VAL( cList4 )   
            REPLACE CBARRAS  WITH VAL( cList5 )   
     
            Form_1.Grid_2.Refresh
            Form_1.Grid_2.value := STOCKP->(Recno())

         ENDIF
      NEXT
      IF EMPTY (cList)
         cList := "Empty List"
      ENDIF
      MsgInfo (cList, "Check List")
         
   ELSE
      MsgInfo ("CheckBoxEnabled is FALSE")
   ENDIF
RETURN




