#include "hmg.ch"

Function Main

*----------------------------------* 

  REQUEST HB_CODEPAGE_ESWIN     
  HB_SETCODEPAGE("ESWIN")    
 
  REQUEST HB_LANG_ES   
  HB_LANGSELECT("ES")  

*----------------------------------*
  SET CENTURY ON
  SET DATE FRENCH
  SET ESCAPE ON
  SET NAVIGATION EXTENDED
  SET LANGUAGE TO SPANISH 
  SET CODEPAGE TO SPANISH
  SET DELETED ON
  SET DATE FORMAT TO 'dd/mm/yyyy'
  SET BROWSESYNC ON
*-----------------------------------------------------------------*
PRIVATE aRows 

     
   DEFINE WINDOW Form_1           ;
      AT 0,0                      ;
      WIDTH 800                   ;
      HEIGHT 600                  ;
      TITLE "Demo: GRID CheckBox" ;
      NOSIZE NOMAXIMIZE           ;
      MAIN

*-----------------------------------------------------------------*
      aRows := ARRAY (25)
      aRows [1]   := {'101',  'PIZZA MARGARITA'    ,  'GRANDE'  ,  '6.55' ,  '8432145785214'  }
      aRows [2]   := {'102',  'PIZZA CHAMPION'    ,  'MEDIANA' ,  '4.50' ,  '8432148452241'  }
      aRows [3]   := {'103',  'PIZZA HAWAIANA'     ,  'PEQUEA' ,  '3.50' ,  '8432148457852'  }
      aRows [4]   := {'104',  'PIZZA IDEAL'        ,  'GRANDE'  ,  '6.55' ,  '8432145845963'  }
      aRows [5]   := {'105',  'PIZZA VEGETAL'      ,  'GRANDE'  ,  '6.55' ,  '8432145784522'  }
      aRows [6]   := {'106',  'PIZZA PICANTE'      ,  'MEDIANA' ,  '4.50' ,  '8432142785214'  }
      aRows [7]   := {'107',  'PIZZA PIPERONI'     ,  'MEDIANA' ,  '4.50' ,  '8432196563245'  }
      aRows [8]   := {'108',  'PIZZA MARINERA'     ,  'PEQUEA' ,  '3.50' ,  '8432145785214'  }
      aRows [9]   := {'109',  'PIZZA SUPREMA'      ,  'MEDIANA' ,  '4.50' ,  '8432145785216'  }
      aRows [10]  := {'110',  'PIZZA 4 ESTACIONES' ,  'PEQUEA' ,  '3.50' ,  '8432145785218'  }
      aRows [11]  := {'201',  'PEPE COLA'          ,  'LATA'    ,  '0.50' ,  '8432145785214'  }
      aRows [12]  := {'202',  'PEPTRI COLA'        ,  'LATA'    ,  '0.50' ,  '8432145785219'  }
      aRows [13]  := {'203',  'ORANGE'             ,  'LATA'    ,  '0.50' ,  '8432145785214'  }
      aRows [14]  := {'204',  'CITRONE'            ,  'LATA'    ,  '0.50' ,  '8432145785285'  }
      aRows [15]  := {'301',  'BIERE A'            ,  'LATA'    ,  '0.50' ,  '8432145785214'  }
      aRows [16]  := {'302',  'BIERE B'            ,  'LATA'    ,  '0.60' ,  '8432145785458'  }
      aRows [17]  := {'303',  'BIERE C'            ,  'LATA'    ,  '0.60' ,  '8432145785785'  }
      aRows [18]  := {'304',  'BIERE D'            ,  'LATA'    ,  '0.60' ,  '8432145785214'  }
      aRows [19]  := {'305',  'BIERE E'            ,  'LATA'    ,  '0.60' ,  '8432145785214'  }
      aRows [20]  := {'306',  'BIERE F'            ,  'LATA'    ,  '0.60' ,  '8432145745852'  }
      aRows [21]  := {'401',  'AGUA NIEVES'        ,  'BOTELLA' ,  '0.30' ,  '8432147458221'  }
      aRows [22]  := {'402',  'AGUA ALGORFA'       ,  'BOTELLA' ,  '0.30' ,  '8432145788542'  }
      aRows [23]  := {'403',  'AGUA NIEVES'        ,  'BOTELLA' ,  '0.30' ,  '8485421452124'  }
      aRows [24]  := {'404',  'AGUA TAJO  '        ,  'BOTELLA' ,  '0.30' ,  '8432185422142'  }
      aRows [25]  := {'405',  'AGUA GUADAL'        ,  'BOTELLA' ,  '0.30' ,  '8432185421142'  }

     @ 10,320 LABEL Label_1 Value "Select Products"  Width  440  Height 032     ; 
                    FONT "Arial" SIZE 17 BOLD ITALIC        

      bColor := { || if ( This.CellRowIndex/2 == int(This.CellRowIndex/2) , {128,128,128} , {192,192,192} ) }
      fColor := { || if ( This.CellRowIndex/2 == int(This.CellRowIndex/2) , BLUE , RED ) }

        @ 40,50 GRID Grid_1 ;
                WIDTH 700 ;
                HEIGHT 197 ;
                HEADERS  { 'Ref' , 'Producto','Tipo' ,  'Precio'  ,  'CBarras' } ;
                WIDTHS  {120, 140, 140, 140, 140} ;
                ITEMS aRows;
                VALUE 1;
                JUSTIFY { BROWSE_JTFY_RIGHT , BROWSE_JTFY_LEFT , BROWSE_JTFY_LEFT  , BROWSE_JTFY_RIGHT , BROWSE_JTFY_LEFT  } ;
                DYNAMICFORECOLOR { fColor, fColor , fColor, fColor, fColor }  ;
                DYNAMICBACKCOLOR { bColor, bColor , bColor, bColor, bColor }  ;
                BACKCOLOR { 209,238,238 } ;
                FONTCOLOR { 000,255,020 } ;
                CELLNAVIGATION  //;
              **  ON CHECKBOXCLICKED MsgInfo ({"Row: ", This.CellRowClicked, " is checked: ", Form_1.Grid_1.CheckBoxItem (This.CellRowClicked)}, "On CheckBoxClicked")   

       Form_1.Grid_1.CheckBoxEnabled := .T.

     @ 255,320 LABEL Label_2 Value "Product Selection " Width  440  Height 032 ; 
                     FONT "Arial" SIZE 17 BOLD ITALIC        

        USE STOCKP
        dbgobottom() 


        @ 295,050 GRID Grid_2 ;
	          WIDTH 700 ;
		  HEIGHT 175 ;
		  HEADERS { 'Ref','Producto','Tipo' ,'Precio','CBarras' } ;
		  WIDTHS  {120, 140, 140, 140, 140}     ;
		  VALUE 1 ;  //{ 1 , 1 } ;
		  ROWSOURCE "STOCKP" ;
		  COLUMNFIELDS  { 'Ref' ,  'Producto','Tipo', 'Precio' ,'Cbarras' } ;
		  FONT 'Arial' ;
		  SIZE 9 ;
		  JUSTIFY { BROWSE_JTFY_RIGHT , BROWSE_JTFY_LEFT , BROWSE_JTFY_LEFT  , BROWSE_JTFY_RIGHT , BROWSE_JTFY_LEFT  } ;
                  DYNAMICFORECOLOR { fColor, fColor , fColor, fColor, fColor }  ;
                  DYNAMICBACKCOLOR { bColor, bColor , bColor, bColor, bColor }  ;
                  BACKCOLOR { 209,238,238 } ;
                  FONTCOLOR { 000,255,020 } 


      @ 510, 135 BUTTON Button_1  CAPTION "Cleaner" ACTION Limpia() 
      @ 510, 250 BUTTON Button_2  CAPTION "Delete Base" ACTION Deleter()
      @ 510, 365 BUTTON Button_3  CAPTION "Check List" ACTION GetListCheckBox()
      @ 510, 580 BUTTON Button_4  CAPTION "Exit" ACTION Form_1.Release

   END WINDOW

   CENTER WINDOW Form_1

   ACTIVATE WINDOW Form_1

Return

*-----------------------------------------------*
PROCEDURE Limpia()
*-----------------------------------------------*
 Form_1.Grid_1.CheckBoxEnabled := .F.
 Form_1.Grid_1.CheckBoxEnabled := .T.

return

*-----------------------------------------------*
PROCEDURE Deleter()
*-----------------------------------------------*
CLOSE DATABASES
USE STOCKP
ZAP
Form_1.Grid_2.Refresh
Form_1.Grid_2.value := STOCKP->(Recno())
return


*-----------------------------------------------*
PROCEDURE GetListCheckBox()
*-----------------------------------------------*
PRIVATE i, cList := ""
PRIVATE cList1 , cList2, cList3 , cList4 , cList5
           
   IF Form_1.Grid_1.CheckBoxEnabled == .T.
      FOR i = 1 TO Form_1.Grid_1.ItemCount
         IF Form_1.Grid_1.CheckBoxItem ( i ) == .T.

            cList := cList + Form_1.Grid_1.CellEx (i, 1) +", "+ Form_1.Grid_1.CellEx (i, 2)+", "+ ;
                           + Form_1.Grid_1.CellEx (i, 3) +", "+ Form_1.Grid_1.CellEx (i, 4) +" "+ HB_OsNewLine()

            cList1 :=  Form_1.Grid_1.CellEx (i, 1) 
            cList2 :=  Form_1.Grid_1.CellEx (i, 2) 
            cList3 :=  Form_1.Grid_1.CellEx (i, 3) 
            cList4 :=  Form_1.Grid_1.CellEx (i, 4) 
            cList5 :=  Form_1.Grid_1.CellEx (i, 5) 

            USE STOCKP
            APPEND BLANK
            REPLACE REF      WITH VAL( cList1 )         
            REPLACE PRODUCTO WITH cList2
            REPLACE TIPO     WITH cList3         
            REPLACE PRECIO   WITH VAL( cList4 )   
            REPLACE CBARRAS  WITH VAL( cList5 )   
     
            Form_1.Grid_2.Refresh
            Form_1.Grid_2.value := STOCKP->(Recno())

         ENDIF
      NEXT
      IF EMPTY (cList)
         cList := "Empty List"
      ENDIF
      MsgInfo (cList, "Check List")
         
   ELSE
      MsgInfo ("CheckBoxEnabled is FALSE")
   ENDIF
RETURN




